<?php

namespace App\Repositories\Interfaces;

use Illuminate\Http\Request;

interface IllustrationCategoryInterface
{
    public function list(Request $request);
    public function find($id);
    public function store(Request $request, $imageName = null);
    public function update($id, array $data);
    public function delete($id);
     public function getAllActive();
}
